AutoCertificate

Auto certificates create new certificates based on a certificate provider.

This tag groups all operations for autocertificate.

Retrieve all AutoCertificate

get

This endpoint enables retrieving all AutoCertificate using pagination and optional filters.

Authorizations
AuthorizationstringRequired

The token can be generated using the Authentication API.

Query parameters
offsetinteger · int32Optional

The first element (of the total list of elements) to include in the response. Use together with limit for pagination.

Default: 0Example: 0
limitinteger · int32 · min: 1 · max: 1000Optional

The maximum number of elements to return. Use together with offset for pagination.

Default: 100Example: 100
filter.commonNamestringOptional

Filter by the common name (DNS).

Example: www.example.com
Responses
chevron-right
200

Returned all requested AutoCertificate successfully.

application/json

Pagination information. The offset and limit parameters are used to navigate the list of elements. The _links object contains URLs to navigate the different pages.

idstring · uuidRequired

ID of the list of AutoCertificate resources.

Example: b57af488-a991-522a-9fea-bbca2e2d097f
typestring · enumRequired

The type of the resource.

Possible values:
hrefstringRequired

The URL of the list of AutoCertificate resources.

Example: /auto-certificates
offsetintegerRead-onlyRequired

The offset specified in the request (if none was specified, the default offset is 0).

Example: 0
limitintegerRead-onlyRequired

The limit specified in the request (if none was specified, use the endpoint's default pagination limit).

Example: 42
get
/auto-certificates

Create AutoCertificate

post

Creates a new AutoCertificate.

The full AutoCertificate needs to be provided to create the object. Optional data will be filled with defaults or left empty.

Authorizations
AuthorizationstringRequired

The token can be generated using the Authentication API.

Body
metadataanyOptional

Metadata

Responses
post
/auto-certificates

Retrieve AutoCertificate

get

Returns the AutoCertificate by ID.

Authorizations
AuthorizationstringRequired

The token can be generated using the Authentication API.

Path parameters
autoCertificateIdstring · uuidRequired

The ID (UUID) of the AutoCertificate.

Example: f88467f8-a2d6-5871-83b9-e10f23d0a48a
Responses
chevron-right
200

Getting AutoCertificate was successful.

application/json
idstring · uuidRequired

The ID (UUID) of the AutoCertificate.

Example: f88467f8-a2d6-5871-83b9-e10f23d0a48a
typestring · enumRequired

The type of the resource.

Possible values:
hrefstringRequired

The URL of the AutoCertificate.

Example: /auto-certificates/f88467f8-a2d6-5871-83b9-e10f23d0a48a
get
/auto-certificates/{autoCertificateId}

Delete AutoCertificate

delete

Deletes the specified AutoCertificate.

Authorizations
AuthorizationstringRequired

The token can be generated using the Authentication API.

Path parameters
autoCertificateIdstring · uuidRequired

The ID (UUID) of the AutoCertificate.

Example: f88467f8-a2d6-5871-83b9-e10f23d0a48a
Responses
delete
/auto-certificates/{autoCertificateId}

No content

Updates AutoCertificate

patch

Changes AutoCertificate with the provided ID. Values provides will replace the existing data.

Authorizations
AuthorizationstringRequired

The token can be generated using the Authentication API.

Path parameters
autoCertificateIdstring · uuidRequired

The ID (UUID) of the AutoCertificate.

Example: f88467f8-a2d6-5871-83b9-e10f23d0a48a
Body
metadataanyOptional

Metadata

Responses
chevron-right
200

AutoCertificate successfully updated.

application/json
idstring · uuidRequired

The ID (UUID) of the AutoCertificate.

Example: f88467f8-a2d6-5871-83b9-e10f23d0a48a
typestring · enumRequired

The type of the resource.

Possible values:
hrefstringRequired

The URL of the AutoCertificate.

Example: /auto-certificates/f88467f8-a2d6-5871-83b9-e10f23d0a48a
patch
/auto-certificates/{autoCertificateId}

Last updated

Was this helpful?